/* $Id: dlgAdvanced.h,v 1.9 2000/04/21 14:03:29 koss Exp $
   $Log: dlgAdvanced.h,v $
   Revision 1.9  2000/04/21 14:03:29  koss
   Added "advanced individual dialogs" checkbox

   Revision 1.8  1999/11/18 21:28:04  koss
   Adapted to a new settings policy.
   All settings are kept in class Settings.
   No more passing over / creating QStringLists etc.

   Revision 1.7  1999/11/15 20:14:09  koss
   Search entries moved to dlgSearch.
   Fixed layout again.
   Now we use units in KNumInput and not in separate QLabels.

   Revision 1.1  1999/02/07 17:11:28  matt
   source entered


   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _DLGADVANCED_H
#define _DLGADVANCED_H

#include <qgroupbox.h> 
#include <qlabel.h>
#include <qcheckbox.h>
#include <qradiobutton.h>
#include <qbuttongroup.h>
#include <qstringlist.h>

class DlgAdvanced : public QGroupBox {

  Q_OBJECT

public:

  DlgAdvanced( QWidget *parent );
  ~DlgAdvanced();

  void applyData();
  void setData();
     
private:

  QLabel       *lb_adding;
  QButtonGroup *bg_adding;
  QRadioButton *rb_queued;
  QRadioButton *rb_delayed;

  QCheckBox *cb_individual;
  QCheckBox *cb_iconify;
  QCheckBox *cb_advanced;
  QCheckBox *cb_partial;
  QCheckBox *cb_remove;
  QCheckBox *cb_getsizes;
  QCheckBox *cb_expertmode;

};

#endif // _DLGADVANCED_H
