/* $Id: dlgLimits.h,v 1.9 1999/11/18 21:28:05 koss Exp $
   $Log: dlgLimits.h,v $
   Revision 1.9  1999/11/18 21:28:05  koss
   Adapted to a new settings policy.
   All settings are kept in class Settings.
   No more passing over / creating QStringLists etc.

   Revision 1.8  1999/11/15 20:14:10  koss
   Search entries moved to dlgSearch.
   Fixed layout again.
   Now we use units in KNumInput and not in separate QLabels.

   Revision 1.1.1.1  1999/04/04 13:02:47  koss
   Renamed kget to caitoo

   Revision 1.1.1.1  1999/02/10 18:16:34  koss
   Imported sources

   Revision 1.1  1999/02/07 17:11:28  matt
   source entered


   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _DLGLIMITS_H
#define _DLGLIMITS_H

#include <qgroupbox.h> 
#include <qlabel.h>
#include <qstringlist.h>

#include <knuminput.h>

class DlgLimits : public QGroupBox {

  Q_OBJECT

public:

  DlgLimits( QWidget *parent );
  ~DlgLimits() {}

  void applyData();
  void setData();
     
private:
    
  // opened connections
  QLabel *lb_maxnum;
  KIntNumInput *le_maxnum;

  // minimum bandwidth
  QLabel *lb_minband;
  KIntNumInput *le_minband;

  // maximum bandwidth
  QLabel *lb_maxband;
  KIntNumInput *le_maxband;

};

#endif // _DLGLIMITS_H
