/* $Id: preferences.h,v 1.11 2000/04/20 19:11:14 koss Exp $
   $Log: preferences.h,v $
   Revision 1.11  2000/04/20 19:11:14  koss
   Some renaming for consistence :
      ConfigDlg to DlgTransferConfig.
      PreferencesDlg to DlgPreferences.
   Added dlgProgress as a new individual progress dialog.
   Fixed application quitting.
   Fixed action update after job cancelation.

   Revision 1.10  1999/11/19 19:01:12  koss
   Dialog now has a parent.
   Removed marginHint().

   Revision 1.9  1999/11/18 21:28:05  koss
   Adapted to a new settings policy.
   All settings are kept in class Settings.
   No more passing over / creating QStringLists etc.

   Revision 1.8  1999/11/15 20:19:07  koss
   Added dlgSearch stuff.

   Revision 1.7  1999/11/09 18:25:45  koss
   Ported to KDialogBase.
   Fixed layout stuff ( only QListView in dlgDirectories remains ).

   Revision 1.6  1999/10/18 21:49:54  koss
   switched from QStrList to QStringList.
   fixed layout.
   removed getIntFromString() and getStringFromInt().
   getBoolFromString() renamed to stringToBool().
   getStringFromBool() renamed to boolToString().

   Revision 1.5  1999/08/27 10:53:34  koss
   removed proxy stuff

   Revision 1.3  1999/02/07 17:14:40  matt
   updated for new setting dialogs


   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _PREFERENCES_H
#define _PREFERENCES_H

#include <qdialog.h>
#include <qstringlist.h>

#include <kdialogbase.h>

class DlgConnection;
class DlgAutomation;
class DlgLimits;
class DlgAdvanced;
class DlgSearch;
class DlgDirectories;
class DlgSystem;


class DlgPreferences : public KDialogBase {

  Q_OBJECT

public:

  DlgPreferences( QWidget *parent );
  ~DlgPreferences() {}

protected:
  void closeEvent( QCloseEvent * );

private:

  DlgConnection  *conDlg;
  DlgAutomation  *autDlg;
  DlgLimits      *limDlg;
  DlgAdvanced    *advDlg;
  DlgSearch      *seaDlg;
  DlgDirectories *dirDlg;
  DlgSystem      *sysDlg;

protected slots:

  virtual void done ( int r );
  void applySettings();

};

#endif // _PREFERENCES_H
