/* 
 *  Copyright (C) 1999-2000 Bernd Gehrmann
 *                          bernd@physik.hu-berlin.de
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the "Artistic License" which comes with this Kit. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Artistic License for more details.
 *
 * You should have received a copy of the Artistic License with 
 * this Kit, in the file named "Artistic".  If not, I'll be glad
 * to provide one.
 */


#ifndef _FTP_H_
#define _FTP_H_ 


#include <qwidget.h>
#include <ftpsearch.h>


class QLineEdit;
class QListView;
class QPushButton;
class QLabel;
class FtpSiteManager;
class FtpResultView;


class FtpTopLevel : public QWidget
{
  Q_OBJECT

public:
  FtpTopLevel(QWidget *parent, const char *name=0);
  ~FtpTopLevel();

protected slots:
  void slotSearch();
  void slotCancel();
  void slotResult(KIO::Job*);

  void processItem(const QString &sitename, const QString &host, const QString &path,
                   const QString &size, const QString &date);
  void urlActivated(const QString &url);

private:
  QLineEdit *wordsedit;
  QListView *sitebox;
  QPushButton *searchbutton, *cancelbutton;
  FtpResultView *resultbox;
  QLabel *foundlabel;
  QList<FtpSearch> jobs;
  FtpSiteManager *man;

  void updateButtons();
};
 
#endif 
