/* $Id: docking.h,v 1.7 2000/05/02 02:17:15 waba Exp $
   $Log: docking.h,v $
   Revision 1.7  2000/05/02 02:17:15  waba
   WABA: Make it compile (kpopmenu / kimgio --> kpopupmenu / kimageio)

   Revision 1.6  1999/11/15 20:15:45  koss
   Ported to KDockWindow.
   Removed Windows 9x style of docking.

   Revision 1.5  1999/11/14 23:22:33  dmuell
   nuke Qt compatibility includes

   Revision 1.4  1999/07/01 18:03:44  koss
   merged with 1.1 version - some code cleanups, slotRestore() etc.

   Revision 1.3  1999/05/16 16:57:21  koss
   Reworked docking policy again.
   Now we have two modes : Dock widget, Drop target or Normal window
   Another options is Windows 9x style - toggle this to have Windows 9x
   docking behaviour, this applies also to drop target

   Revision 1.2  1999/05/11 19:49:11  koss
   updated docking policy

   Revision 1.1.1.1  1999/04/04 13:02:47  koss
   Renamed kget to caitoo

   Revision 1.1.1.1  1999/02/10 18:16:34  koss
   Imported sources

   Revision 1.4  1999/02/07 17:13:59  matt
   modified docking policy

   Revision 1.3  1998/10/21 17:32:38  matt
   *** empty log message ***

   Revision 1.1.1.1  1998/05/06 19:13:32  matt
   Imported sources

   Revision 1.1  1998/03/02 14:32:29  matt
   *** empty log message ***


   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   */


#ifndef _DOCKING_H_
#define _DOCKING_H_

#include <stdio.h>

#include <qpopupmenu.h>
#include <qdragobject.h>

#include <kpopupmenu.h>
#include <kdockwindow.h>

class KMainWidget;

class DockWidget : public KDockWindow {

  Q_OBJECT

public:
  DockWidget( KMainWidget *parent );
  ~DockWidget();

  void setAnim( int i1, int i2, int i3, bool online );

private slots:
  void mousePressEvent(QMouseEvent *e);

protected:
  // drag and drop
  void dragEnterEvent( QDragEnterEvent * );
  void dropEvent( QDropEvent * );

private:
  int size[3];
  KMainWidget *parent;

  QPixmap *handpix1;
  QPixmap *handpix2;
  QPixmap *handpix3;
};

#endif
